package com.ruoyi.zdsz.task;

import com.ruoyi.common.helper.LoginHelper;
import com.ruoyi.common.utils.GetBeanUtil;
import com.ruoyi.zdsz.domain.ZEngineeringCivil;
import com.ruoyi.zdsz.domain.bo.ZEngineeringNodeBo;
import com.ruoyi.zdsz.service.IZEngineeringNodeService;
import org.springframework.context.ApplicationContext;


import javax.annotation.Resource;
import java.beans.beancontext.BeanContext;
import java.util.List;
import java.util.concurrent.CountDownLatch;

public class RiewTask  implements  Runnable{

    private IZEngineeringNodeService izEngineeringNodeService;
    private List<ZEngineeringCivil> zEngineeringCivilList;
    private ZEngineeringNodeBo zEngineeringNodeBo;
    private  String userId;
    private   CountDownLatch countDownLatch;

    public  RiewTask(List<ZEngineeringCivil> zEngineeringCivilList, ZEngineeringNodeBo zEngineeringNodeBo, CountDownLatch countDownLatch)
    {
        this.zEngineeringCivilList=zEngineeringCivilList;
        this.zEngineeringNodeBo=zEngineeringNodeBo;
        this.izEngineeringNodeService= GetBeanUtil.getApplicationContext().getBean(IZEngineeringNodeService.class);
        this.userId= LoginHelper.getLoginUser().getUserId().toString();
        this.countDownLatch=countDownLatch;
    }
    @Override
    public void run() {
        if (zEngineeringCivilList.size()>0)
        {
            izEngineeringNodeService.batchReview(zEngineeringCivilList,zEngineeringNodeBo,userId);
        }
        countDownLatch.countDown();//发出线程任务完成的信号

    }
}
